Authentication Implementations

Create Authentication Implementation Endpoint

post

Adds one or more endpoints to a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Body
endpoint_idsstringRequired
Responses
post
/api/v1/authentication-implementations/{authentication_implementation}/endpoints

Delete Authentication Implementation Endpoint

delete

Permanently removes a specific endpoint from a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

endpointstringRequired

The endpoint identifier.

Responses
delete
/api/v1/authentication-implementations/{authentication_implementation}/endpoints/{endpoint}

List Authentication Implementation Variables

get

Retrieves a paginated list of variables for a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
get
/api/v1/authentication-implementations/{authentication_implementation}/variables

Create Authentication Implementation Variable

post

Creates a new variable for a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Body
labelstringRequired
keystringRequired
valuestringOptional
secretstringOptional
Responses
post
/api/v1/authentication-implementations/{authentication_implementation}/variables

Delete Authentication Implementation Variable

delete

Permanently deletes a specific variable from a specific authentication implementation.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

variablestringRequired

The variable identifier.

Responses
delete
/api/v1/authentication-implementations/{authentication_implementation}/variables/{variable}

Last updated

Was this helpful?